## sdplane 0.1.3

=== debian/changelog ===
sdplane (0.1.3-537) UNRELEASED; urgency=low

  * release. update changelog.
  * Merge pull request #257 from kait-cronos/fix/forward-src-mac
  * Merge pull request #255 from kait-cronos/fix/router-up
  * Merge pull request #260 from kait-cronos/autogen
  * chore: formating code style
  * use autogen.sh on ci
  * use autoreconf instead
  * Merge pull request #259 from kait-cronos/fix-capture-if-enobufs
  * Merge pull request #258 from kait-cronos/add-netlink-wait-handling
  * add dequeue operation from capture_if ring
  * add warning msg_queue ENOBUFS error
  * add netlink wait handling
  * fix: use router-if MAC address for source in Ethernet header in forwarding
  * fix: packet handling by adding debug logs for split-horizon and link status checks
  * fix: packet routing by adding IPv4 and IPv6 address checks
  * Merge pull request #253 from kait-cronos/CITATION-cff
  * CITATION.cff
  * Merge pull request #252 from kait-cronos/fix-crash-amd-mlx
  * guard against crash in AMD w/ MLX.
  * Merge pull request #250 from kait-cronos/router-fix-tx-switching
  * fix router's process_tx_packet(). Previously the router's process_tx_packet() was sending to the vswitch if the packet is mcast or bcast, and was forwarding() otherwise. The behavior was preventing the Linux bridge'ed packets to be sent through the sdplane's DPDK port. (for example, br-2-0-0 was bridging enp2s0 and port-3-0-0, and the DHCP packets should be bridged accordingly. The DHCP packets are getting dropped by the forwarding().) the process_tx_packet() was changed to do switching() no matter what the packet type is.
  * update install-memo-new.txt libsdplane_0.3.37-73_amd64.deb sdplane_0.1.3-514_amd64.deb
  * Merge pull request #249 from kait-cronos/install-memo-update

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Wed, 21 Jan 2026 21:11:06 +0900

sdplane (0.1.3-514) UNRELEASED; urgency=low

  * release. update changelog.
  * fix build-debian.sh
  * build-debian-prep.sh

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 11 Jan 2026 04:04:29 +0900

sdplane (0.1.3-511) UNRELEASED; urgency=low

  * release. update changelog.
  * update install-memo
  * Merge pull request #248 from kait-cronos/router-fix
  * fix router. make router-if tap persist. receive mac-addr matched packets. receive multicast/broadcast packets (and then switch/forward).
  * Merge pull request #247 from kait-cronos/net_subr_h
  * add srv6_router.c.
  * router.c's inline funcs are moved to net_subr.h and srv6.h.
  * Merge pull request #244 from kait-cronos/r-trfk/srv6-forwading
  * Merge pull request #243 from kait-cronos/r-trfk/fix-srv6-pktgen
  * ping ok!
  * srv6_router: optimistic srv6 end
  * srv6_router: draft version
  * [tools/srv6-pktgen] fix config typo and update reference topology
  * Merge pull request #238 from kait-cronos/fix-vlan-forwarding
  * functionalise vlan operation
  * Merge pull request #242 from kait-cronos/r-trfk/fix-vlan-forwading
  * restore control packet decision logic
  * block rif to rif packet
  * flooding to router-if
  * broadcast addr is also me
  * fix debug msg when flooding missing %p?
  * fix lookup logic (if mac addr is all zero, treat as unresolved)
  * Merge pull request #241 from kait-cronos/reduce-warnings
  * reduce warnings.
  * Merge pull request #240 from kait-cronos/r-trfk/srv6pketgen-utils
  * [tools/srv6-pktgen] add configuration example/tools for debugging sdplane
  * Merge pull request #239 from kait-cronos/r-trfk/seg6gen-vlan
  * Merge pull request #234 from kait-cronos/control-packet
  * [tools/srv6-pktgen] add vlan supprt for testing/implement srv6 end
  * use oif for searching tx vswitch_link
  * fix split-holizon
  * add vlan_hdr operation
  * remove unrequired comments
  * restore l3_tap_handler.c
  * wip: contorl packet filter
  * Merge pull request #229 from kait-cronos/kinoshita/ping_deplicated
  * #if 0 due to smart
  * tx link is duplicated with enhanced repeater.
  * Merge pull request #233 from kait-cronos/fix-neighbor-transmission
  * fix format
  * separate packet generate functions
  * add internal message for neighbor transmission
  * improve neighbor-transmission
  * Merge pull request #232 from kait-cronos/debug-router
  * add creation and transmission processing for ARP request
  * remove unused arguments
  * add neigh_entry's ifindex
  * add router-if's ifindex
  * Merge pull request #224 from kait-cronos/netlink-srv6-subscription
  * add SRv6 to Netlink subscription
  * Merge pull request #228 from kait-cronos/fix-l3-taph-crash
  * fix l3-tap-handler crash.
  * Merge pull request #227 from kait-cronos/fix/yykzm/fix-debug-format
  * router: fix debug log format argument mismatch
  * Merge pull request #217 from kait-cronos/develop/yykzm/revise-nexthop
  * Merge pull request #225 from kait-cronos/r-trfk/add-srv6pktgen
  * format: minor fix
  * add: srv6-pktgen for implement srv6 end behavior
  * rib: refactor nexthop model to abstract legacy and object-capable nexthops

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 11 Jan 2026 02:57:25 +0900

sdplane (0.1.3-352) UNRELEASED; urgency=low

  * release. update changelog.
  * log_packet on l2-repeater.
  * Merge branch 'deb-package'

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 26 Oct 2025 00:26:08 +0900

sdplane (0.1.3-349) UNRELEASED; urgency=low

  * release. update changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 25 Oct 2025 21:30:49 +0900

sdplane (0.1.3-348) UNRELEASED; urgency=low

  * release. update changelog.
  * Merge branch 'stable-march'

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 25 Oct 2025 21:29:17 +0900

sdplane (0.1.3-346) UNRELEASED; urgency=low

  * release. update changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 25 Oct 2025 19:08:26 +0900

sdplane (0.1.3-345) UNRELEASED; urgency=low

  * release. update changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 25 Oct 2025 17:46:18 +0900

sdplane (0.1.3-344) UNRELEASED; urgency=low

  * release. update changelog.


