=== debian/control ===
Source: sdplane
Section: net
Priority: optional
Maintainer: Yasuhiro Ohara <yasu1976@gmail.com>
Build-Depends: debhelper-compat (= 12), libsdplane (>= 0.3.36-31), liburcu-dev (>= 0.13.1-1)
Standards-Version: 4.5.0
Homepage: http://www.yasuhironet.net/

Package: sdplane
Architecture: any
Multi-Arch: foreign
Depends: libc6 (>= 2.35), libpcap0.8-dev (>= 1.10.1), libsdplane (>= 0.3.37), liburcu-dev (>= 0.13.1)
Description: DPDK software data-plane,
  with interactive command shell.
